package com.keao.edu.user.enums;

import com.keao.edu.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2020.06.23
 */
public enum  StudentRegistrationStatusEnum implements BaseEnum<String, StudentRegistrationStatusEnum> {
    CANCEL("CANCEL", "取消报名"),
    PAY_WAIT("PAY_WAIT", "等待缴费"),
    AUDIT_WAIT("AUDIT_WAIT", "等待审核"),
    AUDIT_PASS("AUDIT_PASS","通过"),
    AUDIT_REJECT("AUDIT_REJECT", "拒绝"),
    REFUNDED("REFUNDED", "已退款");

    private String code;

    private String msg;

    StudentRegistrationStatusEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
